<div class="messages">
  <div
    *ngFor="let message of messages"
    class="message"
    [ngClass]="{ 'your-message': isMessageYours(message) }"
  >
    <div *ngIf="message.username !== username; then usr"></div>
    <ng-template #usr
      ><span class="message-username">{{ message.username }}</span></ng-template
    >
    <em class="message-text">{{ message.text }}</em>
    <span class="message-time">{{
      message.created_at | date: "MMM d, y, h:mm:ss a"
    }}</span>
    <div *ngIf="username === message.username; then deleteButton"></div>
    <ng-template #deleteButton>
      <button class="btn" (click)="deleteMessage(message.id)">Delete</button>
    </ng-template>
  </div>
</div>
